import { DialogService } from "@easyquery/ui";
export declare class JQueryDialogService implements DialogService {
    private confirmDialog;
    private promptDialog;
    constructor();
    openConfirm(title?: string, content?: string): Promise<boolean>;
    openConfirm(title?: string, content?: string, callback?: (result: boolean) => void): void;
    private setConfirmButtons;
    openPrompt(title?: string, content?: string, defValue?: string): Promise<string>;
    openPrompt(title?: string, content?: string, defValue?: string, callback?: (result: string) => void): void;
    private setPromptButtons;
}
